import { DumpOptions, LoadOptions } from 'js-yaml';
interface YamlOptions extends LoadOptions {
    removeTemplates?: boolean;
}
export declare function parseYaml(content: string, iterator?: null | undefined, options?: YamlOptions): unknown[];
export declare function parseSingleYaml(content: string, options?: YamlOptions): unknown;
export declare function dump(obj: any, opts?: DumpOptions | undefined): string;
export {};
